[Tool] phpBB 2.0.14 to 2.0.15 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
97
63%
Very Good
15
10%
Good
14
9%
Fair
7
5%
Poor
20
13%
 
Total votes: 153

egypttpyge
Registered User
Posts: 57
Joined: Mon Feb 14, 2005 3:50 am

Post by egypttpyge » Mon May 23, 2005 9:19 pm

I updated from 2.0.11 to 2.0.15 by going through all the updates one by one . That is :
2.0.11 to 2.0.12
2.0.12 to 2.0.13
2.0.13 to 2.0.14
2.0.14 to 2.0.15


I don't see any difference..... How do I know everything went fine??

I don't understand the ACP login thingie that was suppose to different. I still login the same way. Also it still says 2.0.11 on the bottom of my forums.


Lastly: I updated using EasyMod and got two errors and I'm not sure if they are serious:

When updating from 2.1.1 to 2.1.12

Critical Error

FIND FAILED: In file [includes/template.php] could not find:

$filename = phpbb_realpath($this->root . '/' . $filename);

MOD script line #306 :: FAQ :: Report

When updating from 2.1.14 to 2.1.15:


Critical Error

FIND FAILED: In file [includes/bbcode.php] could not find:

// [img]image_url_here[/img] code..
// This one gets first-passed..
$patterns[] = "#\[img:$uid\](.*?)\[/img:$uid\]#si";

MOD script line #178 :: FAQ :: Report

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Tue May 24, 2005 9:21 am

Well, from what you have said the updates did not go through correctly. I think that EasyMOD will not apply any changes in a MOD if all changes do not go through. So your are most likely missing some changes in the file it errored on. 2.0.11 -> 2.0.12 (I guess). And again in 2.0.14 -> 2.0.15.

Shanana
Registered User
Posts: 368
Joined: Sat Aug 28, 2004 4:03 am
Location: USA [from London, England]

Post by Shanana » Tue May 24, 2005 12:38 pm

NightriderXP wrote:
Shanana wrote:I don't see why anyone wouldn't upgrade though. Why would someone stay on 2.0.13 when there are bugs in it?

Most of the "bugs" being fixed are minor and are only being fixed when they are discovered by careful examination of the code and attempts to constantly inprove the environment to make it bullet proof. I highly doubt that most phpBB admins would ever have to worry about some of the issues that have been corrected...

If you have been using EasyMOD to install ALL of your MODs and upgrades, the whole process is completely painless. I have a HEAVILY MODDed board yet I almost never have any problems installing these things. By using EM to install ALL of my MODs, I took the human error factor out of the equation. Of course it is possible that there are errors in some of the MODs. But with EM, if a serious problem arises, you can quickly roll back the changes. It is likely that if there is a serious problem with a MOD or upgrade, everyone else will have problems with it too...

So if you are using EM to install ALL of your MODs, the whole process of upgrading and adding functionality is totally painless while taking very little of your time. With the ease of installation and the quality of the upgrades, it really doesn't make sense not to upgrade. But there is never a requirement to do so unless your host requires it...

:lol:


I agree about EM. That's what I use & the only problem I had was with a template's header which was an easy fix, but I never had one problem after that.

MaddoxX
Registered User
Posts: 450
Joined: Sat May 15, 2004 4:43 pm
Location: Russia

Post by MaddoxX » Tue May 24, 2005 2:45 pm

Somehow my forum can't use any smileys anymore because of some server setting :(

Read this topic: http://www.phpbb.com/phpBB/viewtopic.ph ... w=previous

Is there a way to fix this??
:D

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Wed May 25, 2005 12:54 am

MaddoxX you mentioned earlier your host was doing a PHP upgrade.
MaddoxX wrote: Just a bugged Update from 4.x to 5.x :/


Did they drop back down to 4.x? If they stayed with 5.x, just going to a newer -- less buggy version, then that is most likely your problem. Many parts of the phpBB 2.0.x code is not compatible with PHP 5.x. There is a full board MOD available on sourceforge that has modified the problematic functions. So, if you are on PHP 5.x then your only real options, barring the development team changing the code, is to live with problems, downgrade to PHP 4.x (not likely if you aren't on a dedicated server), or use the phpBB 5.x MOD that is out there.

MaddoxX
Registered User
Posts: 450
Joined: Sat May 15, 2004 4:43 pm
Location: Russia

Post by MaddoxX » Wed May 25, 2005 3:00 pm

It's back to 4.2.1 now with php5 i couldnt access the admin cp
and with php 4x i got that weird bbcode error

http://www.phpbb.com/phpBB/viewtopic.ph ... t=#1591286
:D

AmericanGal
Registered User
Posts: 27
Joined: Wed Apr 13, 2005 6:57 pm
Location: Pacific Northwest, USA
Contact:

Post by AmericanGal » Fri May 27, 2005 11:34 pm

It worked beautifully first try! Thanks so much :)
100% Bible believing American Chick
And proud of it!

guylon
Registered User
Posts: 52
Joined: Fri May 24, 2002 6:47 am
Location: Batavia
Contact:

Post by guylon » Sat May 28, 2005 2:02 pm

Sorry if this had been asked before, but I got this problem:

Image

How come one of my user's name "_Rhizky_" replace the "Username"?

egypttpyge
Registered User
Posts: 57
Joined: Mon Feb 14, 2005 3:50 am

Post by egypttpyge » Mon May 30, 2005 3:37 am

guylon wrote: Sorry if this had been asked before, but I got this problem:

Image

How come one of my user's name "_Rhizky_" replace the "Username"?



I upgraded and rechecked all the files as well as ran the update_to_latest.php with no problems. But i never get that dialog box asking me re-authenticate !!!!! Which file did I miss

Terror Zone
Registered User
Posts: 7
Joined: Wed Feb 23, 2005 1:46 pm

Post by Terror Zone » Mon May 30, 2005 7:58 pm

great mod and very easy to install 8)

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Mon May 30, 2005 8:08 pm

egypttpyge wrote: Image

I upgraded and rechecked all the files as well as ran the update_to_latest.php with no problems. But i never get that dialog box asking me re-authenticate !!!!! Which file did I miss

So what are you showing us if this isn't the login to reauthenticate yourself as the admin of your board? It appears that you are getting it unless you are showing us the login from someone else's board. What does _Rhizky_ mean???

:lol:

egypttpyge
Registered User
Posts: 57
Joined: Mon Feb 14, 2005 3:50 am

Post by egypttpyge » Mon May 30, 2005 11:40 pm

NightriderXP wrote:
egypttpyge wrote:Image

I upgraded and rechecked all the files as well as ran the update_to_latest.php with no problems. But i never get that dialog box asking me re-authenticate !!!!! Which file did I miss

So what are you showing us if this isn't the login to reauthenticate yourself as the admin of your board? It appears that you are getting it unless you are showing us the login from someone else's board. What does _Rhizky_ mean???

:lol:



I just quoted the post above me which included the loging pic.
So do you have an idea as to why I don't get the dialog box asking me reauthenticate :?:

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Tue May 31, 2005 12:44 am

egypttpyge wrote: So do you have an idea as to why I don't get the dialog box asking me reauthenticate :?:


Yeah. After you made your changes, assuming you went back and made sure all changes were made, then uploading the new files didn't actually work. Some FTP programs don't overwrite the file correctly in some cases. So the best bet is to make sure you have the correct modified files from your upgrade, delete the ones on your server, and upload the modified files.

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Tue May 31, 2005 12:44 am

I would say that you are lucky not to have to re-authenticate to enter the ACP every time. I don't see how logging into the ACP adds any new security at all. But it does add another unnecessary hoop for the admin to jump through each and every time...

Since it is obvious that you manually modified your code rather than going with the best route of using EasyMOD, I would think you probably made a mistake in the modifications to your login.php and/or admin/pagestart.php files. Chances are, you are misunderstanding some of the Script commands, so you are making multiple mistakes that could come back and bite you with future weird problems...

If after reviewing your modifications several times you don't see the problem, chances are you will continue to make the same mistakes with future modifications if you choose to continue manually applying the code to your board...

I would recommend you restore your backups, install EasyMOD and use it from now on:

[beta] EasyMOD v0.1.13...

:lol:

egypttpyge
Registered User
Posts: 57
Joined: Mon Feb 14, 2005 3:50 am

Post by egypttpyge » Tue May 31, 2005 5:48 am

NightriderXP wrote: I would say that you are lucky not to have to re-authenticate to enter the ACP every time. I don't see how logging into the ACP adds any new security at all. But it does add another unnecessary hoop for the admin to jump through each and every time...

Since it is obvious that you manually modified your code rather than going with the best route of using EasyMOD, I would think you probably made a mistake in the modifications to your login.php and/or admin/pagestart.php files. Chances are, you are misunderstanding some of the Script commands, so you are making multiple mistakes that could come back and bite you with future weird problems...

If after reviewing your modifications several times you don't see the problem, chances are you will continue to make the same mistakes with future modifications if you choose to continue manually applying the code to your board...

I would recommend you restore your backups, install EasyMOD and use it from now on:

[beta] EasyMOD v0.1.13...

:lol:


I am not looking specificaly for reauthentication but I'm using it as a sign of successfuly doing the upgrade.

Actually I have a few three copies of the forum that I experiement on before applying the changes to the active forum. I tried EasyMod and it did not work . It kept giving me errors and I had to change the files manually anyway and then try and continue with EasyMod. I have to say it's lacking. It does not take into account that many of us have added many Mods to our forums and the files have been substantialy changed.

I am right now trying to add the Categories hierarchy Mod using EasyMod and so far it's been NightmareMod

Post Reply

Return to “[2.0.x] MOD Database Releases”